<template>
  <div class="user-manage">
    <div>
      <ul class="flex tabs">
        <li
          v-for="item in tabList"
          :key="item.value"
          @click="handleClick(item)"
          :class="item.value == tabActive ? 'activeItem' : 'item'"
        >
          {{ item.lable }}
        </li>
      </ul>
    </div>
    <div class="list">
      <div>
        <el-tree
          :data="dataList"
          show-checkbox
          node-key="id"
          default-expand-all
          :props="defaultProps"
        />

      </div>

    </div>
  </div>
</template>

<script setup lang="ts">
import { ref, onMounted } from "vue";

const tabList = ref([
  {
    lable:'菜单/功能访问权限',
    value:'menu'

  },
  {
    lable:'模型访问权限',
    value:'model'
  }
])
const tabActive = ref('menu')
const dataList = ref([])

onMounted(() => {
  getData();
});

const defaultProps = {
  children: 'children',
  label: 'name',
}

const getData = () =>{
  let list = [
    {
      name:'模型管理',
      sysType:'cmsFolder',
      productLinkPath:'111',
      children:[
        {
          name:'新增型号',
          sysType:'cmsItem',
          productLinkPath:'211',
        },
        {
          name:'编辑型号',
          sysType:'cmsItem',
          productLinkPath:'212',
        },
        {
          name:'删除型号',
          sysType:'cmsItem',
          productLinkPath:'213',
        },
        {
          name:'新增模型',
          sysType:'cmsItem',
          productLinkPath:'214',
        },{
          name:'删除模型',
          sysType:'cmsItem',
          productLinkPath:'215',
        },{
          name:'删除模型',
          sysType:'cmsItem',
          productLinkPath:'216',
        }
      ]

    },
    {
      name:'可视化仿真',
      sysType:'cmsFolder',
      productLinkPath:'112',
      children:[
        {
          name:'测试仿真',
          sysType:'cmsFolder',
          productLinkPath:'221',
          children:[
            {
              name:'检索模型',
              sysType:'cmsItem',
              productLinkPath:'231',
              
            },
            {
              name:'模型预览',
              sysType:'cmsItem',
              productLinkPath:'232',
            },
            {
              name:'模型属性查看',
              sysType:'cmsItem',
              productLinkPath:'233',
            },
            {
              name:'模型仿真',
              sysType:'cmsItem',
              productLinkPath:'234',
            },
            {
              name:'测试报告',
              sysType:'cmsItem',
              productLinkPath:'235',
            },
          ]
        },
        {
          name:'测试报告',
          sysType:'cmsFolder',
          productLinkPath:'221',
        },
      ]

    }
  ]
  dataList.value = list

}
const handleClick = (item) => {
  tabActive.value = item.value
};
</script>

<style lang="less" scoped>
.user-manage {
  padding: 20px;
}
.tabs{
  li{
    width:140px;
    text-align: center;
    padding: 5px 0;
    margin:0 15px;
    cursor: pointer;
  }
  .activeItem{
    border-bottom:2px solid #1890ff;
  }
}
</style>
